document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Intersection Observer for fade-in effects
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('visible');
      }
    });
  }, { threshold: 0.1 });

  document.querySelectorAll('.effect-card, .gallery-item').forEach((el) => {
    observer.observe(el);
  });

  // Dynamic effect generator
  const generateBtn = document.querySelector('.btn-primary');
  const preview = document.querySelector('.preview');
  
  if (generateBtn && preview) {
    generateBtn.addEventListener('click', () => {
      const effects = [
        { transform: 'rotate(360deg) scale(1.2)' },
        { filter: 'hue-rotate(90deg)' },
        { transform: 'translateY(-20px)' }
      ];
      
      const randomEffect = effects[Math.floor(Math.random() * effects.length)];
      preview.style.transition = 'all 0.5s ease';
      Object.assign(preview.style, randomEffect);
    });
  }
});